function [f,g] = pr_t_opt2(log_delta_t,alpha,beta,lambda,n,theta_trie,vect_weight,indic_Cprime)

t = 4.5 + tril(ones(n)) * exp(log_delta_t);

t_c = [4.5; t];

y = y_theta_t(theta_trie,t_c,n,alpha,beta,1e-8,1-1e-8,indic_Cprime);

p = vect_p(y,n);

f = - n * (lambda * y - t_c' * p) * vect_weight;

if nargout > 1
   vect_one = derive_y_theta(y,theta_trie).*(theta_trie - ...
            lambda ./ (alpha * C_prime(y, beta, indic_Cprime)));

    mat_one = vect_p_prime(y,n) .* (ones(n+1,1) * vect_one);   

    g = - n * (mat_one - p) * vect_weight;
    g=g(2:end);
end

end
