* Export to Matlab
* Change the name of the path to the data!
use "/Users/xdhaulfoeuille/Documents/Recherche/Papiers finis/Selection adverse empirique/Donnees et programmes/data.dta", clear
g year01 = (year == 2001)
g year02 = (year == 2002)
g year03 = (year == 2003)
keep if family==1
bysort ident: egen id1 = max(year01) 
bysort ident: egen id2 = max(year02) 
bysort ident: egen id3 = max(year03)
gen stayer = (max(id1,id2)==1 & id3==1) 

g year0102=year01+year02
g y0102=y*year0102
g y03=y*year03
g rural_smallurb=rural+small_urban
collapse (sum) k1=y0102 n1=year0102 k2=y03 n2=year03  (max) year01 year02 ///
		(mean) exp rural_smallurb female married stayer, by(ident)
g exp1 = exp 
replace exp1=exp+1 if year01==0 & year02>0
replace exp1 = exp1+0.5 if year01>0 & year02>0  
replace exp1=. if n1==0
g exp1_5=(exp1<=5) if exp1~=.
g exp1_5_15=(exp1>5 & exp1<=15) if exp1~=.

g rural_small1 = (rural_smallurb>=0.5)
replace rural_small1 = . if n1==0  

g female1=female
replace female1=. if n1==0

g married1=married
replace married1=. if n1==0

g stayer1=stayer

g exp2 = exp+2
replace exp2 = . if n2==0
g exp2_5=(exp2<=5) if exp2~=.
g exp2_5_15=(exp2>5 & exp2<=15) if exp2~=.

g rural_small2 = (rural_smallurb>=0.5)
replace rural_small2 = . if n2==0  

g female2=female
replace female2=. if n2==0

g married2=married
replace married2=. if n2==0

g stayer2=stayer

drop year01-exp1 exp2
mvencode exp1_5-married2, mv(-99)		

* Change the name of the path to the data!
export delimited using "/Users/xdhaulfoeuille/Documents/Recherche/Papiers finis/Selection adverse empirique/Donnees et programmes/data_for_matlab.csv", replace

