function res = estimation_DH_Rath(supp_proba, R, N)

support = supp_proba(1:end/2);
proba = supp_proba(end/2+1:end);

mat = bsxfun(@power, support, R') .* bsxfun(@power, 1-support, (N-R)');

log_vrais_indiv = log(proba' * mat);

res = -sum(log_vrais_indiv);