function res = inv_Cprime(param_Cprime, theta0, y0, delta1, x, indic_Cprime) 

beta = param_Cprime ;

if indic_Cprime == 1 
    alpha = (delta1/theta0) / (log(1+ y0/(1-y0)).^beta);
    temp = (x/alpha).^(1/beta);
    res = 1 - exp(-temp); 
elseif indic_Cprime == 2
    alpha = (delta1/theta0) / ((y0/(1-y0)).^beta);
    temp = (x/alpha).^(1/beta);
    res = 1 - 1./(1+temp);
elseif indic_Cprime == 3
    alpha = (delta1/theta0) / ((exp(y0/(1-y0))-1).^beta);
    temp = (x/alpha).^(1/beta);
    res =  1 - 1./(1+log(1+temp));
else
    % Forme paramtrique : C'y) = alpha y (1+beta/(1-y))
    alpha = (delta1/theta0) / (y0 * (1+beta/(1-y0)));
    temp = x + alpha *(1+beta);
    res =  (temp - sqrt(temp.^2 - 4*alpha * x)) /(2*alpha) ;
end    

