function res = log_vrais_binom(a, k, n)

nobs = length(k);

%Coefficient correspondant au polynme au carr
b = flipud(conv(a,a));

L2 = length(b)-1;

mat_kj = repmat(k, 1, L2+1) + repmat((0:L2), nobs, 1) + 1;

mat_beta = beta(mat_kj, repmat(n- k + 1, 1, L2+1));

vrais = mat_beta * b ;

res = - sum(log(vrais)) ;


