% Fonction pour calculer le vecteur t optimal  n fix (tk = t(k,n)/n)
% theta_sim : vecteur de theta simuls dans la loi F_theta estim
% auparavant. 

function [t_star, profit] = t_opt(alpha,beta,lambda,n,theta_trie,vect_weight,t0, indic_Cprime)

options = optimset('GradObj','on');

log_delta_t0 = log(t0 - [4.5;t0(1:end-1)]);

log_delta_t_optim = fminunc(@(log_delta_t) pr_t_opt2(log_delta_t,alpha,beta,...
                    lambda,n,theta_trie,vect_weight, indic_Cprime),log_delta_t0,options);

t_optim = 4.5 + tril(ones(n)) * exp(log_delta_t_optim);
t_star =[4.5;t_optim];

if nargout > 1
   profit = - pr_t_opt2(log_delta_t_optim,alpha,beta,lambda,n,theta_trie,vect_weight, indic_Cprime);
end
 
end

% function res = pr_t_opt(t,alpha,beta,lambda,n,theta_sim)
% 
% 
% t_complet = [4.5;t];
% 
% y = y_theta_t(theta_sim,t_complet,n,alpha,beta,1e-8,0.9999999);
% 
% vect_one = derive_y_theta(y,theta_sim).*(theta_sim - ...
%             lambda ./ (alpha *((-log(1-y)).^beta)));
% 
% mat_one = vect_p_prime(y,n) .* (ones(n+1,1) * vect_one);   
% 
% mat_two = vect_p(y,n);
% 
% res = mean(mat_one - mat_two,2);
% 
% end


% function res = pr_t_opt3(t_y,lambda,n)
% 
% t_c = [4.5; t_y(1:n)];
% 
% y=t_y(n+1:end)';
% 
% pr_res = lambda * y - t_c' * vect_p(y,n) ;   
% 
% res = -mean(pr_res);
% 
% end
% 
% function [c,ceq] = contraintes_y(t_y,alpha,beta,n,theta_sim)
% 
% c=0;
% 
% t_c = [4.5; t_y(1:n)];
% 
% y=t_y(n+1:end);
% 
% ceq = y - y_theta_t(theta_sim,t_c,n,alpha,beta,1e-8,0.9999999)';
% 
% 
% end